package com.hwrj.cloud.admin.excelEntity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class UmsCompanyInfoExcel  extends BaseRowModel {
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "供应商名称")
    @ExcelProperty(value = "供应商名称",index = 0)
    private String compName;

    @ApiModelProperty(value = "供应商类型")
    @ExcelProperty(value = "供应商类型",index = 1)
    private String companyType;

    @ApiModelProperty(value = "供应商评级")
    @ExcelProperty(value = "供应商评级",index = 2)
    @NumberFormat("#")
    private Integer compLevel;

    @ApiModelProperty(value = "供应商资质")
    @ExcelProperty(value = "供应商资质",index = 3)
    private String compQual;
    @ApiModelProperty(value = "供应商图片")
    @ExcelProperty(value = "供应商图片",index = 4)
    private String imgs;
    @ApiModelProperty(value = "供应商资质图片")
    @ExcelProperty(value = "供应商资质图片",index = 5)
    private String qualImgs;
    @ApiModelProperty(value = "企业logo图片")
    @ExcelProperty(value = "企业logo图片",index = 6)
    private String logoImgs;
    @ApiModelProperty(value = "公众号二维码图片")
    @ExcelProperty(value = "公众号二维码图片",index = 7)
    private String qrlImgs;
    @ApiModelProperty(value = "淘宝店地址")
    @ExcelProperty(value = "淘宝店地址",index = 8)
    private String tbUrl;
    @ApiModelProperty(value = "京东店地址")
    @ExcelProperty(value = "京东店地址",index = 9)
    private String jdUrl;
    @ApiModelProperty(value = "自主商城地址")
    @ExcelProperty(value = "自主商城地址",index = 10)
    private String ownUrl;

    @ApiModelProperty(value = "是否认证：0未认证，1认证")
    @ExcelProperty(value = "是否认证",index = 11)
    private Integer isCert;


    @ApiModelProperty(value = "供应商照片")
    private String compImgs;

    @ApiModelProperty(value = "供应商外部连接")
    private String compUrl;

    @ApiModelProperty(value = "生产许可证号")
    @ExcelProperty(value = "生产许可证号")
    private String compProdLicenseNum;

    @ApiModelProperty(value = "经营许可证号")
    @ExcelProperty(value = "经营许可证号")
    private String compManageLicenseNum;

    @ApiModelProperty(value = "社会信用代码")
    @ExcelProperty(value = "社会信用代码")
    private String compSocialCode;





    @ApiModelProperty(value = "联系人")
    @ExcelProperty(value = "联系人",index = 15)
    private String compConPerson;

    @ApiModelProperty(value = "供应商联系方式")
//    @ExcelProperty(value = "供应商联系方式",index = 0)
    private String compConType;

    @ApiModelProperty(value = "供应商联系账号")
    @ExcelProperty(value = "供应商联系方式",index = 16)
    private String compConNum;

    @ApiModelProperty(value = "对外企业qq")
    @ExcelProperty(value = "对外企业qq",index = 17)
    private String compQq;

    @ApiModelProperty(value = "经营产品")
    @ExcelProperty(value = "经营产品",index = 18)
    private String compManageProduct;

    @ApiModelProperty(value = "简介")
    @ExcelProperty(value = "简介",index = 19)
    private String compSum;

    @ApiModelProperty(value = "所在省")
    @ExcelProperty(value = "所在省",index = 20)
    private String provinceId;

    @ApiModelProperty(value = "所在市")
    @ExcelProperty(value = "所在市",index = 21)
    private String cityId;

    @ApiModelProperty(value = "所在县")
    @ExcelProperty(value = "所在县",index = 22)
    private String countyId;

    @ApiModelProperty(value = "所在镇")
    private String townId;

    @ApiModelProperty(value = "所在乡")
    private String villageId;

    @ApiModelProperty(value = "详细位置")
    @ExcelProperty(value = "详细位置",index = 23)
    private String detailAddress;

    @ApiModelProperty(value = "经度")
    @ExcelProperty(value = "经度",index = 24)
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @ExcelProperty(value = "纬度",index = 25)
    private BigDecimal latitude;

    @ApiModelProperty(value = "企业状态0可用，1，禁用，2删除")
    private Integer compStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private Long createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateId;



    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompName() {
        return compName;
    }

    public void setCompName(String compName) {
        this.compName = compName;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public Integer getCompLevel() {
        return compLevel;
    }

    public void setCompLevel(Integer compLevel) {
        this.compLevel = compLevel;
    }

    public String getCompQual() {
        return compQual;
    }

    public void setCompQual(String compQual) {
        this.compQual = compQual;
    }

    public String getCompImgs() {
        return compImgs;
    }

    public void setCompImgs(String compImgs) {
        this.compImgs = compImgs;
    }

    public String getCompUrl() {
        return compUrl;
    }

    public void setCompUrl(String compUrl) {
        this.compUrl = compUrl;
    }

    public String getCompProdLicenseNum() {
        return compProdLicenseNum;
    }

    public void setCompProdLicenseNum(String compProdLicenseNum) {
        this.compProdLicenseNum = compProdLicenseNum;
    }

    public String getCompManageLicenseNum() {
        return compManageLicenseNum;
    }

    public void setCompManageLicenseNum(String compManageLicenseNum) {
        this.compManageLicenseNum = compManageLicenseNum;
    }

    public String getCompSocialCode() {
        return compSocialCode;
    }

    public void setCompSocialCode(String compSocialCode) {
        this.compSocialCode = compSocialCode;
    }

    public String getCompConPerson() {
        return compConPerson;
    }

    public void setCompConPerson(String compConPerson) {
        this.compConPerson = compConPerson;
    }

    public Integer getIsCert() {
        return isCert;
    }

    public String getImgs() {
        return imgs;
    }

    public void setImgs(String imgs) {
        this.imgs = imgs;
    }

    public String getQualImgs() {
        return qualImgs;
    }

    public void setQualImgs(String qualImgs) {
        this.qualImgs = qualImgs;
    }

    public String getLogoImgs() {
        return logoImgs;
    }

    public void setLogoImgs(String logoImgs) {
        this.logoImgs = logoImgs;
    }

    public String getQrlImgs() {
        return qrlImgs;
    }

    public void setQrlImgs(String qrlImgs) {
        this.qrlImgs = qrlImgs;
    }

    public String getTbUrl() {
        return tbUrl;
    }

    public void setTbUrl(String tbUrl) {
        this.tbUrl = tbUrl;
    }

    public String getJdUrl() {
        return jdUrl;
    }

    public void setJdUrl(String jdUrl) {
        this.jdUrl = jdUrl;
    }

    public String getOwnUrl() {
        return ownUrl;
    }

    public void setOwnUrl(String ownUrl) {
        this.ownUrl = ownUrl;
    }

    public void setIsCert(Integer isCert) {
        this.isCert = isCert;
    }

    public String getCompConType() {
        return compConType;
    }

    public void setCompConType(String compConType) {
        this.compConType = compConType;
    }

    public String getCompConNum() {
        return compConNum;
    }

    public void setCompConNum(String compConNum) {
        this.compConNum = compConNum;
    }

    public String getCompQq() {
        return compQq;
    }

    public void setCompQq(String compQq) {
        this.compQq = compQq;
    }

    public String getCompManageProduct() {
        return compManageProduct;
    }

    public void setCompManageProduct(String compManageProduct) {
        this.compManageProduct = compManageProduct;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public Integer getCompStatus() {
        return compStatus;
    }

    public void setCompStatus(Integer compStatus) {
        this.compStatus = compStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getCompSum() {
        return compSum;
    }

    public void setCompSum(String compSum) {
        this.compSum = compSum;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", compName=").append(compName);
        sb.append(", companyType=").append(companyType);
        sb.append(", compLevel=").append(compLevel);
        sb.append(", compQual=").append(compQual);
        sb.append(", compImgs=").append(compImgs);
        sb.append(", compUrl=").append(compUrl);
        sb.append(", compProdLicenseNum=").append(compProdLicenseNum);
        sb.append(", compManageLicenseNum=").append(compManageLicenseNum);
        sb.append(", compSocialCode=").append(compSocialCode);
        sb.append(", compConPerson=").append(compConPerson);
        sb.append(", isCert=").append(isCert);
        sb.append(", compConType=").append(compConType);
        sb.append(", compConNum=").append(compConNum);
        sb.append(", compQq=").append(compQq);
        sb.append(", compManageProduct=").append(compManageProduct);
        sb.append(", provinceId=").append(provinceId);
        sb.append(", cityId=").append(cityId);
        sb.append(", countyId=").append(countyId);
        sb.append(", townId=").append(townId);
        sb.append(", villageId=").append(villageId);
        sb.append(", detailAddress=").append(detailAddress);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", compStatus=").append(compStatus);
        sb.append(", createTime=").append(createTime);
        sb.append(", createId=").append(createId);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateId=").append(updateId);
        sb.append(", compSum=").append(compSum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}